UpdateGroup - PUT
|
Path |
/api/groups/{groupId} |
|---|---|
|
Http Method |
PUT |
Overview
NO LICENSE
Update a user group.
Required permissions
-
Global administration privileges. ADMIN
Request
Path parameters
|
Parameter |
Type |
Required |
Description |
Example |
|---|---|---|---|---|
|
groupId |
string |
Yes |
The Id of the group, generated on creation. |
099ec495a1b548efa43b15da09262c20 |
Request body
JSON
{
"name": "MyGroup",
"isDefault": true,
"accessRights": {}
}
Field descriptions
|
Field |
Type |
Required |
Description |
Constraints |
|---|---|---|---|---|
|
name |
string |
yes |
The name of the group |
|
|
isDefault |
boolean |
no |
When a group is set as isDefault, any newly created user will automatically be part of this group. Defaults to false. |
|
|
accessRights |
object |
yes |
The access rights associated with the user. |
Response
The response is equivalent to group creation: Metavault API - Create group